Fixed a bug within the 440bx RAM size calculation.  Since the DRB values
on the 440bx are 8MB units we need to shift left by 13 to get it into kb.

Signed-off-by: Ceri Coburn <ceri.coburn@gmail.com>
Signed-off-by: Roger Zauner <roger@eskimo.com>

Index: src/northbridge/intel/i440bx/northbridge.c
===================================================================
--- src/northbridge/intel/i440bx/northbridge.c	(revision 2643)
+++ src/northbridge/intel/i440bx/northbridge.c	(working copy)
@@ -112,7 +112,8 @@
 		 * the physical memory.  The units are ticks of 8MB
 		 * i.e. 1 means 8MB.
 		 */
-		tomk = ((unsigned long)pci_read_config8(mc_dev, DRB7)) << 15;
+		tomk = ((unsigned long)pci_read_config8(mc_dev, DRB7)) << 13; 
+		printk_debug("I would like to set RAM size to %dMB\n",tomk >> 10);
 		/* Compute the top of Low memory */
 		tolmk = pci_tolm >> 10;
 		if (tolmk >= tomk) {

